menus:
  - title: "&File"
    actions:
      - text: "Save as Template"
        handler: "save_as_template"
      - text: "Manage Templates"
        handler: "manage_templates_wrapper"
      - separator: true
      - text: "Manage Queries"
        handler: "manage_queries_wrapper"
      - separator: true
      - text: "Exit"
        handler: "close"

  - title: "&Playlist"
    actions:
      - text: "Open Playlist"
        handler: "open_existing_playlist"
        shortcut: "Ctrl+O"
      - text: "New Playlist"
        handler: "new_playlist_dynamic_submenu"
        submenu: true
      - text: "Close Playlist"
        handler: "close_playlist_tab"
      - text: "Rename Playlist"
        handler: "rename_playlist"
      - text: "Delete Playlist"
        handler: "delete_playlist"
      - separator: true
      - text: "Insert Track"
        handler: "insert_track"
        shortcut: "Ctrl+T"
      - text: "Select Track from Query"
        handler: "query_dynamic_submenu"
        submenu: true
      - text: "Insert Section Header"
        handler: "insert_header"
        shortcut: "Ctrl+H"
      - text: "Import Files"
        handler: "import_files_wrapper"
        shortcut: "Ctrl+Shift+I"
      - separator: true
      - text: "Mark for Moving"
        handler: "mark_rows_for_moving"
        shortcut: "Ctrl+C"
      - text: "Paste"
        handler: "paste_rows"
        shortcut: "Ctrl+V"
      - separator: true
      - text: "Export Playlist"
        handler: "export_playlist_tab"
      - text: "Download CSV of Played Tracks"
        handler: "download_played_tracks"
      - separator: true
      - text: "Select Duplicate Rows"
        handler: "select_duplicate_rows"
      - text: "Move Selected"
        handler: "move_selected"
      - text: "Move Unplayed"
        handler: "move_unplayed"
      - separator: true
      - text: "Clear Selection"
        handler: "clear_selection"
        shortcut: "Esc"
        store_reference: true  # So we can enable/disable later

  - title: "&Music"
    actions:
      - text: "Set Next"
        handler: "set_selected_track_next"
        shortcut: "Ctrl+N"
      - text: "Play Next"
        handler: "play_next"
        shortcut: "Return"
      - text: "Fade"
        handler: "fade"
        shortcut: "Ctrl+Z"
      - text: "Stop"
        handler: "stop"
        shortcut: "Ctrl+Alt+S"
      - text: "Resume"
        handler: "resume"
        shortcut: "Ctrl+R"
      - text: "Skip to Next"
        handler: "play_next"
        shortcut: "Ctrl+Alt+Return"
      - separator: true
      - text: "Search"
        handler: "search_playlist"
        shortcut: "/"
      - text: "Search Title in Wikipedia"
        handler: "lookup_row_in_wikipedia"
        shortcut: "Ctrl+W"
      - text: "Search Title in Songfacts"
        handler: "lookup_row_in_songfacts"
        shortcut: "Ctrl+S"

  - title: "Help"
    actions:
      - text: "About"
        handler: "about"
      - text: "Debug"
        handler: "debug"

